Get all the recordings for the booking
curl --request GET \
--url https://api.cal.com/v2/bookings/{bookingUid}/recordings \
--header 'Authorization: <authorization>' \
--header 'cal-api-version: <cal-api-version>'import requests
url = "https://api.cal.com/v2/bookings/{bookingUid}/recordings"
headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'cal-api-version': '<cal-api-version>', Authorization: '<authorization>'}
};
fetch('https://api.cal.com/v2/bookings/{bookingUid}/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "1234567890",
"roomName": "daily-video-room-123",
"startTs": 1678901234,
"status": "completed",
"duration": 3600,
"shareToken": "share-token-123",
"maxParticipants": 10,
"downloadLink": "https://cal-video-recordings.s3.us-east-2.amazonaws.com/meetco/123s",
"error": "Error message"
}
]
}Bookings
Get all the recordings for the booking
Fetches all the recordings for the booking :bookingUid. Requires authentication and proper authorization. Access is granted if you are the booking organizer, team admin or org admin/owner.
cal-api-version:
2026-02-25 is required in the request header.If accessed using an OAuth access token, the BOOKING_READ scope is required.
GET
/
v2
/
bookings
/
{bookingUid}
/
recordings
Get all the recordings for the booking
Headers
Must be set to 2026-02-25.
Example:
"2026-02-25"
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Was this page helpful?
⌘I